Bug 97719 - Canceling insert image dialog gives error dialog
Summary: Canceling insert image dialog gives error dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Henry Castro
URL:
Whiteboard: target:5.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-02-10 17:16 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-02-10 17:16:15 UTC
Steps:
1) Open Impress
2) Select 'Title, Content' layout
3) Click on 'Insert Image' button in content area
4) Press cancel button or escape key
5) Error dialog appears saying 'Image file cannot be opened'

Regression as this doesnt happen in 5.1 daily.

Version: 5.2.0.0.alpha0+
Build ID: fea95da81260bc7eabe7ece595829009b2db3e62
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-10_01:41:22
Locale: en-US (en_US.UTF-8)

Version: 5.1.1.0.0+
Build ID: aa064e8209e57ac91f16305d38e657d12a42093f
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-1, Time: 2016-02-08_10:16:21
Locale: en-US (en_US.UTF-8)
Comment 1 Buovjaga 2016-02-12 15:56:16 UTC
Repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a6f876d45bd4e41a7143594a6cb11b6893a0f620
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-11_00:07:38
Locale: fi-FI (fi_FI)
Comment 2 raal 2016-02-16 11:01:38 UTC
This seems to have begun at the below commit.
 8df089829270c9fd970ae5fc195b05e80db84432 is the first bad commit
commit 8df089829270c9fd970ae5fc195b05e80db84432
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Thu Dec 17 08:05:47 2015 -0800

    source sha:348d7f6170d6ab83c8086f097aed7bdb1b64930a

    source sha:348d7f6170d6ab83c8086f097aed7bdb1b64930a

:040000 040000 5beaf8fa264e525d33e7d7266bc2fe1a7a24391a 7c49ac2d1efff1976941241f518bb4bfe51fd1af M      instdir

author	Henry Castro <hcastro@collabora.com>	2015-12-16 21:13:06 (GMT)
committer	Henry Castro <hcastro@collabora.com>	2015-12-17 14:08:39 (GMT)
commit 348d7f6170d6ab83c8086f097aed7bdb1b64930a (patch)
sd: enable insert graphic when UNO command has URL file argument
Comment 3 Yousuf Philips (jay) (retired) 2016-02-16 14:11:12 UTC
@raal: Thanks for the bibisect, but please do CC the committer as well with a polite sentence about fixing a bug they introduced (you can see Matthew's sentence in bug 94435 comment 2 as an example). :D
Comment 4 raal 2016-02-16 14:36:13 UTC
(In reply to Yousuf (Jay) Philips from comment #3)
> @raal: Thanks for the bibisect, but please do CC the committer as well with
> a polite sentence about fixing a bug they introduced (you can see Matthew's
> sentence in bug 94435 comment 2 as an example). :D

Hi. I'm doing it everytime (even I stole Matthew's sentence :-)  ) . But Henry is not in bugzilla, so I send an e-mail to him.
Comment 5 Henry Castro 2016-02-16 18:00:40 UTC
Sorry about it.  Checking a fixing the bug.
Comment 6 Commit Notification 2016-02-17 00:34:55 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc9ec9f359ddc91a3aedbe38e6079b0555fb03f9

tdf#97719: Canceling insert image dialog gives error dialog

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.